package cn.hmsoft.weixin.data.model;

import java.io.Serializable;

import cn.hmsoft.jdbc.entity.Table;
import cn.hmsoft.weixin.constants.WxSeqName;

/**********************************************
* 微信模版消息定义
* @author: Zhang XiaoQing
* @date: 2016-08-12 22:12:00
* @version: 1.0.0
* @email: revisit@126.com
* @Company: www.hmsoft.cn
*/
@Table(tableName = "WX_MSG_DEFINE", keyColumn =  "MSG_ID" , sequenceName = WxSeqName.WxMsgDefineId)
public class WxMsgDefine implements Serializable{
	private static final long serialVersionUID = 757316579914449875L;
	private Integer wx_id;
	//消息编号
	private Integer msg_id;
	//消息名称
	private String msg_name;
	//消息描述
	private String msg_desc;
	//消息类型
	private String msg_type;
	//消息主题
	private String msg_body;
	//消息参数
	private String msg_param;

	
	public Integer getWx_id() {
		return wx_id;
	}

	public void setWx_id(Integer wx_id) {
		this.wx_id = wx_id;
	}

	/****
	 * 消息编号
	 */
	public Integer getMsg_id() {
		return this.msg_id;
	}

	/****
	 * 消息编号
	 */
	public void setMsg_id(Integer msg_id) {
		this.msg_id = msg_id;
	}

	/****
	 * 消息名称
	 */
	public String getMsg_name() {
		return this.msg_name;
	}

	/****
	 * 消息名称
	 */
	public void setMsg_name(String msg_name) {
		this.msg_name = msg_name;
	}

	/****
	 * 消息描述
	 */
	public String getMsg_desc() {
		return this.msg_desc;
	}

	/****
	 * 消息描述
	 */
	public void setMsg_desc(String msg_desc) {
		this.msg_desc = msg_desc;
	}

	/****
	 * 消息类型
	 */
	public String getMsg_type() {
		return this.msg_type;
	}

	/****
	 * 消息类型
	 */
	public void setMsg_type(String msg_type) {
		this.msg_type = msg_type;
	}

	/****
	 * 消息主题
	 */
	public String getMsg_body() {
		return this.msg_body;
	}

	/****
	 * 消息主题
	 */
	public void setMsg_body(String msg_body) {
		this.msg_body = msg_body;
	}

	/****
	 * 消息参数
	 */
	public String getMsg_param() {
		return this.msg_param;
	}

	/****
	 * 消息参数
	 */
	public void setMsg_param(String msg_param) {
		this.msg_param = msg_param;
	}


}